curl --request POST \
--url https://databunkerpro.myorg.com/v2/SystemDeleteUserProfiles \
--header 'Content-Type: application/json' \
--header 'X-Bunker-Token: <api-key>' \
--data '
{
"identity": "<string>",
"unlockuuid": "<string>",
"tenantid": 123,
"tenantname": "<string>",
"request_metadata": {}
}
'import requests
url = "https://databunkerpro.myorg.com/v2/SystemDeleteUserProfiles"
payload = {
"identity": "<string>",
"unlockuuid": "<string>",
"tenantid": 123,
"tenantname": "<string>",
"request_metadata": {}
}
headers = {
"X-Bunker-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Bunker-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identity: '<string>',
unlockuuid: '<string>',
tenantid: 123,
tenantname: '<string>',
request_metadata: {}
})
};
fetch('https://databunkerpro.myorg.com/v2/SystemDeleteUserProfiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"total": 123,
"rows": [
{
"token": "<string>",
"tenantid": 123,
"tenantname": "<string>"
}
]
}{
"status": "error",
"message": "Missing API request parameters: profile"
}{
"status": "error",
"message": "Access denied"
}{
"status": "error",
"message": "The user record was not found"
}{
"status": "error",
"message": "Internal error"
}Delete user profiles across all tenants
Deletes all profiles for a user identified by email, phone, login, custom field, or token across all tenants.
An optional tenantid or tenantname parameter can restrict deletion to a single tenant.
The token mode is only allowed when tenantid or tenantname is specified.
Only accessible by the main tenant admin (tenantID=1).
Requires a bulk list unlock UUID obtained from BulkListUnlock.
Deleted records are preserved in version history and can be restored with SystemRestoreUserProfile.
Authorizations
API token for authentication
Body
Mode of user identification. The token mode is only allowed when tenantid or tenantname is also specified.
login, email, phone, custom, token User identifier corresponding to the mode
UUID from bulk list unlock for authorization
Optional tenant ID to restrict deletion to a single tenant
Optional tenant name to restrict deletion to a single tenant
Additional metadata for the request